<div class="container">
  <% unless notice.nil? %>
    <div id="notice">
      <div class="ui message icon">
        <i class="close icon"></i>
        <i class="info circle icon"></i>
        <div class="content">
          <%= notice %>
        </div>
      </div>
    </div>
  <% end %>
  <% unless @community_surveys.empty? %>
    <table class="ui table unstackable --responsive">
      <thead>
        <tr>
          <th class="center aligned"><%= t :no_label %></th>
          <th class="center aligned"><%= t 'community_survey.vid_label' %></th>
          <th class="center aligned"><%= t 'community_survey.vname_label' %></th>
          <th class="center aligned"><%= t 'community_survey.type_label' %></th>
          <th class="center aligned"><%= t 'community_survey.commustyle_label' %></th>
          <th class="center aligned"><%= t 'community_survey.nhouse_label' %></th>
          <th class="center aligned"><%= t 'community_survey.nfamily_label' %></th>
          <th class="center aligned"><%= t 'community_survey.nperson_label' %></th>
          <th class="center aligned"><%= t 'community_survey.datesurvey_label' %></th>
          <th class="center aligned"><%= t 'community_survey.u_date' %></th>
          <th colspan="3" class="center aligned"><%= t :actions_label %></th>
        </tr>
      </thead>
      <tbody>
        <% @community_surveys.each_with_index do |community_survey, index| %>
          <tr>
            <td class="center aligned" data-label="<%= t :no_label %>"><%= no(@community_surveys) + index %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.vid_label' %>"><%= community_survey.vid %></td>
            <td class="fixed" data-label="<%= t 'community_survey.vname_label' %>"><%= community_survey.vname %></td>
            <td data-label="<%= t 'community_survey.type_label' %>"><%= ctype_value(community_survey.ctype) %></td>
            <td data-label="<%= t 'community_survey.commustyle_label' %>"><%= commustyle_value(community_survey.commustyle) %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.nhouse_label' %>"><%= community_survey.nhouse %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.nfamily_label' %>"><%= community_survey.nfamily %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.nperson_label' %>"><%= community_survey.nperson %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.datesurvey_label' %>"><%= date_format(community_survey.datesurvey) %></td>
            <td class="center aligned" data-label="<%= t 'community_survey.u_date' %>"><%= date_time_format(community_survey.u_date) %></td>
            <td class="action">
              <%= link_to community_survey, data: { tooltip: t('info_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="info icon"></i>
              <% end %>
              <%= link_to community_survey_houses_path(community_survey), data: { tooltip: t('house.title_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="ico-next-alt"></i>
              <% end %>
              <%= link_to edit_community_survey_path(community_survey), data: { tooltip: t('edit_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="ico-edit"></i>
              <% end %>
              <%= link_to community_survey, method: :delete, data: { confirm: t(:confirm_delete_label), tooltip: t('destroy_label'), position: "bottom right" }, class: "ui button --circle --submit" do %>
                <i class="ico-bin"></i>
              <% end %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
    <div class="pagination">
      <%= paginate @community_surveys %>
    </div>
  <% else %>
    <div class="container__no-content">
      <div>
        <div class="container__no-content --icon">
          <i class="file outline icon"></i>
        </div>
        <div class="container__no-content --text"><%= t('community_survey.title_label_not_found') %></div>
        <div class="container__no-content --button">
          <%= link_to new_community_survey_path, class: "ui button --icon-only" do %>
            <%= t 'community_survey.add_label' %>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>
</div>
<% content_for :menu_content_title do %> 
  <div class="ui breadcrumb">
    <div class="active section"><%= t 'community_survey.title_label' %></div>
    <% if params[:vid].present? %>
      <% content_for :clear_search do %>
        <%= link_to t("clear_search_label"), community_surveys_path, class: "ui button" %>
      <% end %>
    <% end %>
  </div>
<% end %>
<% content_for :menu_content_link do %>
  <%= link_to new_community_survey_path, class: "ui button --icon-only", data: { tooltip: t('community_survey.add_label'), position: "left center" } do %>
    <div class="icon-group">
      <i class="ico-add"></i>
      <i class="ico-community"></i>
    </div>
  <% end %>
<% end %>
